<template>
    <div class="ban-cover2">
        <h2 class="text3 centered centered-txt txt-full-white" style="margin:0; margin-bottom: 40px; padding: 10px">{{isLang.home.banner3.title}}</h2>
            <div class="all-cover centered" ref="target1">
                <div class="fle-cover" :class="{ 'saw': anime1, 'hidden-ctn': !anime1 }">

                        <div class="card-flex">
                            <div class="tof-part centered">
                                <div class="tof-cover">
                                    <img v-lazy="'https://res.cloudinary.com/deccpjpzw/image/upload/v1655560845/midorya/mido/20220613_221139_vqm0no_mulrnw.webp'"
                                    class="covered tof">
                                </div>
                            </div>
                            <div class="txt-part">
                                <div class="name centered centered-txt txt-full-white" style="width: 100%">
                                    <h3 style="margin: 0;">Nelson Delize</h3>
                                </div>
                                <div class="name centered centered-txt txt-gray-mid" style="width: 100%;">
                                    <h4 style="margin: 0; font-weight: 400;">({{isLang.home.banner3.post1}})</h4>
                                </div>
                            </div>
                        </div>
                        <div class="card-flex">
                            <div class="tof-part centered">
                                <div class="tof-cover">
                                    <img v-lazy="'https://res.cloudinary.com/deccpjpzw/image/upload/v1655561150/midorya/mido/male_face2_irj70q_kigpqt.webp'"
                                    class="covered tof">
                                </div>
                            </div>
                            <div class="txt-part">
                                <div class="name centered centered-txt txt-full-white" style="width: 100%">
                                    <h3 style="margin: 0;">Rick Drills</h3>
                                </div>
                                <div class="name centered centered-txt txt-gray-mid" style="width: 100%;">
                                    <h4 style="margin: 0; font-weight: 400;">({{isLang.home.banner3.post2}})</h4>
                                </div>
                            </div>
                        </div>
                        <div class="card-flex">
                            <div class="tof-part centered">
                                <div class="tof-cover">
                                    <img v-lazy="'https://res.cloudinary.com/deccpjpzw/image/upload/v1655560853/midorya/mido/female_face2_o57mh1_yf69zu.webp'"
                                    class="covered tof">
                                </div>
                            </div>
                            <div class="txt-part">
                                <div class="name centered centered-txt txt-full-white" style="width: 100%">
                                    <h3 style="margin: 0;">Gwen Shanahan</h3>
                                </div>
                                <div class="name centered centered-txt txt-gray-mid" style="width: 100%;">
                                    <h4 style="margin: 0; font-weight: 400;">({{isLang.home.banner3.post3}})</h4>
                                </div>
                            </div>
                        </div>
                        <div class="card-flex">
                            <div class="tof-part centered">
                                <div class="tof-cover">
                                    <img v-lazy="'https://res.cloudinary.com/deccpjpzw/image/upload/v1655561173/midorya/mido/male_face3_ffqjd3_h1d1sr.webp'"
                                    class="covered tof">
                                </div>
                            </div>
                            <div class="txt-part">
                                <div class="name centered centered-txt txt-full-white" style="width: 100%">
                                    <h3 style="margin: 0;">Ryo Wantanabe</h3>
                                </div>
                                <div class="name centered centered-txt txt-gray-mid" style="width: 100%;">
                                    <h4 style="margin: 0; font-weight: 400;">({{isLang.home.banner3.post4}})</h4>
                                </div>
                            </div>
                        </div>
                        <div class="card-flex">
                            <div class="tof-part centered">
                                <div class="tof-cover">
                                    <img v-lazy="'https://res.cloudinary.com/deccpjpzw/image/upload/v1655560865/midorya/mido/female_face3_ti8wlz_obtixn.webp'"
                                    class="covered tof">
                                </div>
                            </div>
                            <div class="txt-part">
                                <div class="name centered centered-txt txt-full-white" style="width: 100%">
                                    <h3 style="margin: 0;">Nadine Sargot</h3>
                                </div>
                                <div class="name centered centered-txt txt-gray-mid" style="width: 100%;">
                                    <h4 style="margin: 0; font-weight: 400;">(Community manager)</h4>
                                </div>
                            </div>
                        </div>

                </div>
            </div>
    </div>
</template>

<script setup lang="ts">
import { onMounted } from 'vue';
import langStore from '../store/langStore';
import useIo from '../useFiles/useIo';

const { isLang } = langStore;
const { lookAndMove, target1, anime1 } = useIo();

onMounted(() => {
    lookAndMove(anime1, target1, 0.20);
})

</script>

<style scoped>
img {
  width: 100%;
  height: 100%;
}
.ban-cover2 {
    margin: 0;
    padding-top: 30px;
    padding-bottom: 30px;
}
.all-cover {
    margin: 0;
    width: 100%;
}
.fle-cover {
    margin: 0;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}
.card-flex {
    margin:0;
    width: 100%;
    height: 200px;
    
}
.cta-btn {
  padding-top: 14px;
  padding-bottom: 14px;
  padding-left: 20px;
  padding-right: 20px;
  min-height: 15px;
  width: 50%;
  cursor: pointer;
  font-weight: 700;
  border-radius: 23px;
}
.tof-cover {
    width: 100px;
    height: 100px;
    border-radius: 70px;
    background: var(--night-light);
}
.tof {
    border-radius: 70px;
}
.name {
    padding: 10px;
}
.text3 {
    font-size: 32px;
    font-weight: 500;
}
@media (max-width: 768px) {
    .card-flex {
        height: 120px;
        display: flex;
    }
    .tof-part {
    margin: 0;
    width: 140px;
    height: 100%;
}
    .txt-part {
    margin: 0;
    width: calc(100% - 140px);
    height: 100%;
    }
    .tof-cover {
    width: 100px;
    height: 100px;
    border-radius: 50px;
 }
 .tof {
    border-radius: 50px;
}
}
@media (min-width: 1024px) {
    .card-flex {
    margin:0;
    width: 20%;
    height: 250px;
    }
    .tof-part {
    margin: 0;
    width: 100%;
    height: 60%;
}
    .tof-cover {
        width: 140px;
        height: 140px;
        border-radius: 70px;
        background: var(--prime);
    }
    .txt-part {
    margin: 0;
    width: 100%;
    height: 40%;
}
.cta-btn {
    width: 30%;
}
    .fle-cover {
    margin: 0;
    width: 80%;
    display: flex;
    flex-wrap: wrap;
    }
    .text3 {
        font-size: 50px;
        font-weight: 500;
    }
}
</style>